#include <perms.h>

                                                                //      1  %begin
#line 1 "regression-bugs-tmp/linux.imp"
int main(int argc, char **argv) {
  _imp_initialise(argc, argv);
                                                                //      2    %integer arg
#line 2 "regression-bugs-tmp/linux.imp"
int ARG;
                                                                //      3    print string("Argc = "); write(argc, 0); newline
#line 3 "regression-bugs-tmp/linux.imp"
_imp_PRINTSTRING(_imp_str_literal("Argc = "));
#line 3 "regression-bugs-tmp/linux.imp"
_imp_WRITE(_imp_ARGC(), 0);
#line 3 "regression-bugs-tmp/linux.imp"
_imp_NEWLINE();
                                                                //      4    %for arg = 0, 1, argc+1 {deliberate bug. should be -1} %cycle
#line 4 "regression-bugs-tmp/linux.imp"
{static int _initial, _increment, _final, _control;
_initial = 0; _increment = 1; _final = (((int)(_imp_ARGC())) + (1)); ARG = _control = _initial;
if (((_final-_initial) % _increment) != 0) _imp_signal(5,1,0,"Illegal cycle ARG = 0, 1, (((int)(_imp_ARGC())) + (1))");
ARG -= _increment; _control -= _increment;
L_0002:;
if (ARG == _final) goto L_0003;
ARG += _increment; _control += _increment;
if (ARG != _control) _imp_signal(4,2,0,"Corrupt control variable ARG"); /* FOR loop control variable corrupted */
}
                                                                //      5      print string("Argv(")
#line 5 "regression-bugs-tmp/linux.imp"
_imp_PRINTSTRING(_imp_str_literal("Argv("));
                                                                //      6      write(arg, 0)
#line 6 "regression-bugs-tmp/linux.imp"
_imp_WRITE(ARG, 0);
                                                                //      7      print string(") = """)
#line 7 "regression-bugs-tmp/linux.imp"
_imp_PRINTSTRING(_imp_str_literal(") = \""));
                                                                //      8      print string(argv(arg))
#line 8 "regression-bugs-tmp/linux.imp"
_imp_PRINTSTRING(_imp_ARGV(ARG));
                                                                //      9      print symbol('"')
#line 9 "regression-bugs-tmp/linux.imp"
_imp_PRINTSYMBOL(34);
                                                                //     10      newline
#line 10 "regression-bugs-tmp/linux.imp"
_imp_NEWLINE();
                                                                //     11    %repeat
#line 11 "regression-bugs-tmp/linux.imp"
goto L_0002;
#line 11 "regression-bugs-tmp/linux.imp"
L_0003:;
                                                                //     12  %endofprogram
#line 12 "regression-bugs-tmp/linux.imp"
/* Remove %on %event handler here if present for this block */
return 0;
} // End of block _imp_main at level 1
#line 12 "regression-bugs-tmp/linux.imp"
// End of file
